View Issue Details

IDProjectCategoryView StatusLast Update
0003950unrealircdpublic2010-09-20 14:32
ReporterohnobinkiAssigned Toohnobinki 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.2.8 
Target Version3.2.9-RC1Fixed in Version3.2.9-RC1 
Summary0003950: oper-up message uses vhost instead of realhost
Descriptionbecause people are too lazy to file their own bug reports:

2010/08/25
22:35 -!- Josh [Josh@Clk-77AA73F3.ri.ri.cox.net] has joined #unreal-support
22:35 -!- mode/#unreal-support [+v Josh] by UnrealHelper
22:36 <+Josh> Hey, is there any way when a staff member opers up I can get the server notice to show the real host instead of the masked one?
22:40 <~Stealth> ermmm... the oper notifications always show the real host
22:41 <+Josh> It shows the failed oper attempt's real host, but not a successful oper.
22:44 <@Jobe> thats a bug iirc
22:44 -!- infidel [~ecc@Clk-E2BE66C1.membersrealm.com] has quit [Ping timeout]
22:45 <@Jobe> hmmm
22:45 <@Jobe> the failed attempts use sptr->sockhost but the success notices use GetHost(sptr)
22:45 <@Jobe> :/
22:47 <+Josh> So, I'll take it as there's nothing I can do about it atm?
22:49 <@Jobe> report it on the bug tracker
22:49 <@Jobe> its still present in the current CVS revision as far as I can see
22:50 <+Josh> Will-co
22:50 <~Stealth> maybe binki will fix
22:50 <@Jobe> Stealth, dont we have to rape him to get him to work though?
22:50 <@Jobe> well that or bribery

For logging purposes/automated parsing of the snomasked notice, it would seem to make sense for the realhost to be provided. I don't think there is any reason to preserve display of the vhost in the notice.
Steps To ReproduceExample logs:

notices:
00:36 [ohnopub] !ohnopublishing.net a (ohnobinki@undisclosed-981307ED) [binki] is now a network administrator (N)
00:36 [ohnopub] !ohnopublishing.net a (ohnobinki@test.net) [binki] is now a network administrator (N)
00:39 [ohnopub] !ohnopublishing.net Failed OPER attempt by a (ohnobinki@localhost) using UID binki [FAILEDAUTH]

commands:
USER a b c d e f
NICK a
OPER binki <password>
SETHOST test.net
MODE a -o
OPER binki <password>
MODE a -o
OPER binki wrongpassword
Additional InformationExpected behavior: the successful oper-up message should give the same host as the failure message.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

2010-08-25 06:50

 

unreal-3950-oper-up-no-vhost.patch (1,672 bytes)

syzop

2010-09-20 10:33

administrator   ~0016372

Yup, fine to commit.

ohnobinki

2010-09-20 14:32

reporter   ~0016373

Thanks syzop, committed:

- Always display the real host of successful OPERing up. Reported by Josh. (0003950)

Issue History

Date Modified Username Field Change
2010-08-25 06:43 ohnobinki New Issue
2010-08-25 06:43 ohnobinki QA => Not touched yet by developer
2010-08-25 06:43 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-08-25 06:43 ohnobinki U4: Upstream notification of bug => Not decided
2010-08-25 06:43 ohnobinki U4: Contributor working on this => None
2010-08-25 06:50 ohnobinki File Added: unreal-3950-oper-up-no-vhost.patch
2010-08-25 06:50 ohnobinki Status new => assigned
2010-08-25 06:50 ohnobinki Assigned To => ohnobinki
2010-09-19 18:42 ohnobinki Relationship added child of 0003915
2010-09-20 10:33 syzop Note Added: 0016372
2010-09-20 14:31 ohnobinki Relationship added child of 0003776
2010-09-20 14:31 ohnobinki Relationship deleted child of 0003915
2010-09-20 14:32 ohnobinki Note Added: 0016373
2010-09-20 14:32 ohnobinki Status assigned => resolved
2010-09-20 14:32 ohnobinki Fixed in Version => 3.2.9-RC1
2010-09-20 14:32 ohnobinki Resolution open => fixed